package MT::Plugin::RandomLink;
use strict;

use MT;
use MT::Template::Context;
require MT::Plugin;

our $VERSION = "0.1";

@MT::Plugin::RandomLink::ISA = qw(MT::Plugin);

my $plugin = new MT::Plugin::RandomLink({
	name => 'RandomLink',
	version => $VERSION,
	author_name => 'Junnama Noda',
	description => '<MT_TRANS phrase=\'_PLUGIN_DESCRIPTION\'>',
	author_link => 'http://junnama.alfasado.net/online/',
	settings => new MT::PluginSettings([
		['labl_01'],
		['labl_02'],
		['labl_03'],
		['labl_04'],
		['labl_05'],
		['link_01'],
		['link_02'],
		['link_03'],
		['link_04'],
		['link_05'],
	]),
	l10n_class => 'RandomLink::L10N',
	blog_config_template => 'RandomLink.tmpl',
});

MT->add_plugin($plugin);

MT::Template::Context->add_tag(RandomLink => \&_RandomLink);

# <$MTRandomLink$>

sub _RandomLink {
	my ($ctx, $args, $cond) = @_;
	my $blog = $ctx->stash('blog');
	my $config_id = 'blog:'.$blog->id;
	my $lbl_str = 'labl_0';
	my $lnk_str = 'link_0';
	my @labls = ();
	my @links = ();
	for (1..5) {
		my $get_lbl = $lbl_str.$_;
		my $get_lnk = $lnk_str.$_;
		$get_lbl = $plugin->get_config_value($get_lbl, $config_id);
		if ($get_lbl) {
			push(@labls, $get_lbl);
			push(@links, $plugin->get_config_value($get_lnk, $config_id));
		}
	}
	my $len = @labls;
	my $int = int (rand($len));
	return '<a href="'.$links[$int].'">'.$labls[$int].'</a>';
}

1;